Skip to main content
PATCH
Add contact information to person

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

identifier
string

Person ID. ID type must match the type parameter. Some channels (e,g., Apple Business Chat) use identifiers that contain unsafe characters. Make sure you URL-encode them in your API request

sender
string

Sender or application ID. sender is required for all identifier types except ID, EXTERNAL_ID, PHONE, EMAIL

type
enum<string>

Type of the person ID

Available options:
ID,
EXTERNAL_ID,
PHONE,
EMAIL,
LINE,
FACEBOOK,
TELEGRAM,
PUSH,
WEB_PUSH,
LIVE_CHAT,
VIBER_BOTS,
INSTAGRAM,
INSTAGRAM_DM,
TWITTER,
APPLE_BUSINESS_CHAT,
KAKAO_SANGDAM,
OPEN_CHANNEL,
ZALO_FOLLOWER,
TIKTOK_BM,
WHATSAPP,
KAKAO_TALK

Body

contactInformation
IamPersonContactsV2 · object
required

Person's contact information

Response

successful response

address
string

Person's address, 256 characters max.

birthDate
string

Person's date of birth, format YYYY-MM-DD.

city
string

Person's city, 50 characters max.

computedAttributes
object
read-only

Person's computed attributes grouped by type.

contactInformation
IamPersonContactsV2 · object

List of phones, emails and other information how a person can be contacted.

country
string

Person's country, 50 characters max.

createdAt
string
read-only

Date and time of creation. Has the following format: yyyy-MM-dd'T'HH:mm:ss.

customAttributes
object

List of custom attributes for the person, 4096 characters max per value.

externalId
string

Unique ID for a person from your or another external system, 256 characters max.

firstName
string

Person's first name, 255 characters max.

gender
enum<string>

Person's gender.

Available options:
MALE,
FEMALE
id
integer<int64>
read-only

Unique id of the entity.

integrations
IamIntegrationsV2 · object

Integrations.

lastName
string

Person's last name, 255 characters max.

middleName
string

Person's middle name, 50 characters max.

modifiedAt
string
read-only

Date and time of last modification. Has the following format: yyyy-MM-dd'T'HH:mm:ss.

modifiedFrom
enum<string>

The information which describes the source of the last modification of record.

Available options:
API,
PORTAL,
WEB_SDK,
INTEGRATION,
PUSH,
FACEBOOK,
LINE,
TELEGRAM,
SALESFORCE,
DYNAMICS,
ZAPIER,
FORMS,
COMPUTED,
ANSWERS,
CONVERSATIONS
origin
enum<string>

The information which describes the origin of the record.

Available options:
API,
PORTAL,
WEB_SDK,
INTEGRATION,
PUSH,
FACEBOOK,
LINE,
TELEGRAM,
SALESFORCE,
DYNAMICS,
ZAPIER,
FORMS,
COMPUTED,
ANSWERS,
CONVERSATIONS
preferredLanguage
string

Person's preferred language. Must be in two letter ISO (xx) or language-region BCP-47 (xx-YY) format.

profilePicture
string

URL for the person's profile picture, 2083 characters max.

tags
string[]

List of tags that this person has.

type
enum<string>

Person's type, default type is CUSTOMER.

Available options:
CUSTOMER,
LEAD